Bug 1304247 - Memory corruption detected in low memory: kernel-4.5.0-0.rc2.git1.1.fc24.i686+PAE
Memory corruption detected in low memory: kernel-4.5.0-0.rc2.git1.1.fc24.i686...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 01:46 EST by Ralf Corsepius
Modified: 2016-05-27 10:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 10:14:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2016-02-03 01:46:03 EST
Description of problem:

Trying rawhide kernel 4.5.0-0.rc2.git1.1.fc24.i686+PAE, I found this in dmesg:

[  122.704228] Corrupted low memory at c000c180 (c180 phys) = fd0e0000
[  122.704277] ------------[ cut here ]------------
[  122.704306] WARNING: CPU: 0 PID: 28 at arch/x86/kernel/check.c:141 check_for_bios_corruption+0x8d/0xd0()
[  122.704316] Memory corruption detected in low memory
[  122.704325] Modules linked in: fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge stp llc ebtable_nat ebtable_filter ebtables ip6table_raw ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack gpio_ich iTCO_wdt iTCO_vendor_support msi_wmi sparse_keymap coretemp arc4 rt2800pci rt2800mmio rt2800lib rt2x00pci rt2x00mmio rt2x00lib mac80211 snd_hda_codec_realtek joydev snd_hda_codec_generic cfg80211 snd_hda_intel snd_hda_codec lpc_ich eeprom_93cx6 r8169 crc_ccitt snd_hda_core rfkill snd_hwdep mii snd_seq snd_seq_device wmi snd_pcm snd_timer snd
[  122.704651]  acpi_cpufreq fjes soundcore tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 ums_realtek uas serio_raw usb_storage i2c_algo_bit drm_kms_helper drm video
[  122.704762] CPU: 0 PID: 28 Comm: kworker/0:1 Tainted: G      D         4.5.0-0.rc2.git1.1.fc24.i686+PAE #1
[  122.704774] Hardware name: MEDION E1210/E1210, BIOS 4.6.3 01/14/2009
[  122.704791] Workqueue: events check_corruption
[  122.704807]  c0f08a27 e41f3508 00000000 f4b17e1c c07c27af f4b17e5c f4b17e4c c047b697
[  122.704851]  c0df1de0 f4b17e7c 0000001c c0df9796 0000008d c046433d c046433d c0010000
[  122.704894]  00000000 c1228bb0 f4b17e68 c047b70e 00000009 f4b17e5c c0df1de0 f4b17e7c
[  122.704937] Call Trace:
[  122.704961]  [<c07c27af>] dump_stack+0x48/0x69
[  122.704980]  [<c047b697>] warn_slowpath_common+0x87/0xc0
[  122.704999]  [<c046433d>] ? check_for_bios_corruption+0x8d/0xd0
[  122.705071]  [<c046433d>] ? check_for_bios_corruption+0x8d/0xd0
[  122.705088]  [<c047b70e>] warn_slowpath_fmt+0x3e/0x60
[  122.705106]  [<c046433d>] check_for_bios_corruption+0x8d/0xd0
[  122.705123]  [<c0464390>] check_corruption+0x10/0x40
[  122.705140]  [<c04976dd>] process_one_work+0x22d/0x630
[  122.705157]  [<c0497636>] ? process_one_work+0x186/0x630
[  122.705174]  [<c0497b21>] worker_thread+0x41/0x460
[  122.705191]  [<c0497ae0>] ? process_one_work+0x630/0x630
[  122.705207]  [<c049e299>] kthread+0xb9/0xd0
[  122.705229]  [<c0c0f477>] ? _raw_spin_unlock_irq+0x27/0x40
[  122.705248]  [<c0c0fe49>] ret_from_kernel_thread+0x21/0x38
[  122.705265]  [<c049e1e0>] ? kthread_create_on_node+0x190/0x190
[  122.705280] ---[ end trace 42a4f83e34cbd579 ]---
Comment 1 Josh Boyer 2016-05-27 10:14:21 EDT
This is the kernel telling you that your bios is broken.  There's nothing we can do here.

Note You need to log in before you can comment on or make changes to this bug.